#pragma once

#include "../debug/evemon.h"

#include <mutex>

// shorthand for mutex type
using lock_t = std::mutex;

 // lock mutex in scope
#define AUTOLOCK(handle)	std::lock_guard<std::mutex> lock##__LINE__(handle);