#pragma once

#include "core/debug/evemon.h"

#include "rev_polish_job.h"

/* ref_job job class */
class rev_polish_job_ref : public rev_polish_job_base
{
public:

	// copy reference on ctor
	rev_polish_job_ref(const map2d<float>& ref) : m_ref(ref) {}

	// return reference
	virtual const map2d<float>& get(void) const override
	{
		return this->m_ref;
	}

private:

	// does nothing
	virtual void _run(void) override {}

	// holds reference
	const map2d<float>& m_ref;
};